Bug 678568 - VUL-0: wireshark: crash via corrupted pcap file
VUL-0: wireshark: crash via corrupted pcap file
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: General
unspecified
Other Other
: P5 - None : Normal
: ---
Assigned To: Chunyan Liu
Security Team bot
maint:released:sle11-sp1:39632 maint:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 15:49 UTC by Ludwig Nussel
Modified: 2011-04-14 06:36 UTC (History)
1 user (show)

See Also:
Found By: Other
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2011-03-10 15:49:42 UTC
Your friendly security team received the following report via mitre.
Please respond ASAP.
The issue is public.

-------8<-------
======================================================
Name: CVE-2011-1139
wiretap/pcapng.c in Wireshark 1.2.0 through 1.2.14 and 1.4.0 through 1.4.3 allows remote attackers to cause a denial of service (application crash) via a pcap-ng file that contains a large packet-length field.

Reference: CONFIRM: http://www.wireshark.org/docs/relnotes/wireshark-1.4.4.html
Reference: CONFIRM: http://www.wireshark.org/docs/relnotes/wireshark-1.2.15.html
Reference: CONFIRM: http://anonsvn.wireshark.org/viewvc?view=rev&revision=35855
Reference: CONFIRM: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5661
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2011-04.html
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2011-03.html
Comment 1 Swamp Workflow Management 2011-04-06 17:34:56 UTC
Update released for: wireshark, wireshark-debuginfo, wireshark-debugsource, wireshark-devel
Products:
SLE-DEBUGINFO 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLE-DESKTOP 11-SP1 (i386, x86_64)
SLE-SDK 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLE-SERVER 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLES4VMWARE 11-SP1 (i386, x86_64)
Comment 2 Swamp Workflow Management 2011-04-06 17:55:30 UTC
Update released for: wireshark, wireshark-debuginfo, wireshark-devel
Products:
SLE-DESKTOP 10-SP3 (i386, x86_64)
SLE-SAP-APL 10-SP3 (x86_64)
SLE-SDK 10-SP3 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP3 (i386, ia64, ppc, s390x, x86_64)
Comment 3 Swamp Workflow Management 2011-04-06 18:14:39 UTC
Update released for: wireshark, wireshark-debuginfo, wireshark-devel
Products:
SLE-DESKTOP 10-SP4 (i386, x86_64)
SLE-SDK 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP4 (i386, ia64, ppc, s390x, x86_64)
Comment 4 Bernhard Wiedemann 2011-04-11 14:56:11 UTC
This bug (678568) was mentioned in
https://build.opensuse.org/request/show/66852
Comment 5 Sebastian Krahmer 2011-04-13 09:30:01 UTC
Box received updates too. Closing.